<?php
require("../../../config/koneksi.php");
require("../../../config/function.php");
require("../../../config/crud.php");
(isset($_GET['pg'])) ? $pg = $_GET['pg'] : $pg = '';

if ($pg == 'siswa') {
$jam_masuk  = strtotime($setting['jam_masuk']);
$jam_datang = strtotime($waktu);
												
$selisih  = $jam_datang - $jam_masuk;
 
if($selisih > 0){
	$jam   = floor($selisih / (60 * 60));
	$menit = $selisih - ( $jam * (60 * 60) );
	$detik = $selisih % 60;
	$ket =  'Terlambat '.$jam .  ' jam, ' . floor( $menit / 60 ) . ' menit, ' . $detik . ' detik';
}else{
$ket = "Tepat Waktu";	
}	
    $data = [
'tanggal' => $tanggal,
'idsiswa' => $_POST['id'],
'ket' => $_POST['ket'],
'keterangan' => $ket,
'kelas' => $_POST['kelas'],
'masuk' => $waktu,
'pulang' => $waktu,
'mesin' =>'MANUAL',
'level' =>'siswa',
'bulan' => date('m'),
'tahun'=> date('Y')
    ];
if($_POST['ket']<>''):
            $exec = insert($koneksi, 'absensi', $data);
            echo"OK";
else:
echo "gagal";
endif;
}
if ($pg == 'pegawai') {
$jam_masuk  = strtotime($setting['jam_masuk']);
$jam_datang = strtotime($waktu);
												
$selisih  = $jam_datang - $jam_masuk;
 
if($selisih > 0){
	$jam   = floor($selisih / (60 * 60));
	$menit = $selisih - ( $jam * (60 * 60) );
	$detik = $selisih % 60;
	$ket =  'Terlambat '.$jam .  ' jam, ' . floor( $menit / 60 ) . ' menit, ' . $detik . ' detik';
}else{
$ket = "Tepat Waktu";	
}	
    $data = [
'tanggal' => $tanggal,
'idpeg' => $_POST['idpeg'],
'ket' => $_POST['ket'],
'keterangan' => $ket,

'masuk' => $waktu,
'pulang' => $waktu,
'mesin' =>'MANUAL',
'level' =>'pegawai',
'bulan' => date('m'),
'tahun'=> date('Y')
    ];
if($_POST['ket']<>''):
            $exec = insert($koneksi, 'absensi', $data);
            echo"OK";
else:
echo "gagal";
endif;
}

if ($pg == 'hapus') {
    $id = $_POST['id'];
    $reg = fetch($koneksi,'datareg',['id'=>$id]);
	if($reg['level']=='siswa'){
		mysqli_query($koneksi, "update siswa SET sts_rfid='0' WHERE id_siswa='$reg[idsiswa]'");
	}
	if($reg['level']=='pegawai'){
		mysqli_query($koneksi, "update users SET sts_rfid='0' WHERE id_user='$reg[idpeg]'");
	}
	 delete($koneksi, 'datareg', ['id' => $id]);
}

